net.corda.contracts.asset

## Class Commands.Net

- net.corda.contracts.asset.Obligation.Commands.Net

- All Implemented Interfaces:
    CommandData, FungibleAsset.Commands, NetCommand
  Enclosing interface:
    Obligation.Commands

      public static class Commands.Net
      implements NetCommand, Obligation.Commands

  Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.contracts.asset.Obligation.Commands

      `Commands.Exit<P>, Commands.Issue, Commands.Move, Commands.Net, Commands.SetLifecycle, Commands.Settle<P>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Net(NetType type)` Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetType` | `component1()` The type of netting to apply,
    `Commands.Net` | `copy(NetType type)` Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.
    `boolean` | `equals(java.lang.Object p)`
    `NetType` | `getType()` The type of netting to apply,
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.NetCommand

      `getType`

- - ### Constructor Detail

    - #### Net

          public Net(NetType type)

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

      Parameters:
        `type` - The type of netting to apply,see`enum NetType`for options.

  - ### Method Detail

    - #### getType

          public NetType getType()

      The type of netting to apply,

      see`enum NetType`for options.

      See Also:
        `enum NetType`

    - #### component1

          public NetType component1()

      The type of netting to apply,

      see`enum NetType`for options.

      See Also:
        `enum NetType`

    - #### copy

          public Commands.Net copy(NetType type)

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)